#! /bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - sqlite2 preinstallation
#
# Creation   :  2016-08-24 holbru
# Last update:  $Id: preinstall.sh 43000 2016-08-24 18:06:10Z hbfl $
#
# Copyright (c) 2016-2016 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=sqlite2

# ---------------------------------------------------------------------------
# update system
# ---------------------------------------------------------------------------
installed=$(eisman check ${package_name} 2.6.0)

if [ "${installed}" = "new" ]
then
    rm -f /var/install/deinstall/${package_name}
    rm -f /usr/lib/libsqlite.so.0
    rm -f /usr/lib/libsqlite.so
fi

if [ -f "/var/install/packages/${package_name}" ]
then
    /var/install/bin/del-package --update -p ${package_name}
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
